PSC(1)

NUME
psc - pregătește fișierele sc

SINOPSIS
psc [-fLkrSPv] [-s cell] [-R n] [-C n] [-n n] [-d c]

DESCRIERE
Psc se utilizează pentru a pregăti datele pentru introducerea în calculatorul de calcul tabelar (foaia de calcul) sc(1). Acceptă date ascii normale la intrarea standard. Ieșirea standard este un fișier sc. Fără opțiuni, psc inițiază foaia de calcul în celula A0. Șirurile de caractere sunt justificate la dreapta. Toate datele de pe o linie sunt introduse pe același rând; noile linii de intrare fac ca numărul rândului de ieșire să fie incrementat cu unu. Delimitatorii impliciți sunt tabulatorul și spațiul. Formatele coloanelor sunt stabilite la o valoare mai mare decât numărul de coloane necesar pentru a conține cea mai mare valoare din coloană.

OPȚIUNI

-f  Omite calculele privind lățimea coloanelor. Această opțiune este destinată pregătirii datelor care urmează să fie fuzionate cu o foaie de calcul existentă. Dacă opțiunea nu este specificată, lățimile coloanelor calculate pentru datele citite de psc vor prevala asupra celor deja stabilite în foaia de calcul existentă.

-L  Aliniază șirurile la stânga.

-k  Păstrează toți delimitatorii. Această opțiune face ca celula de ieșire să se schimbe la fiecare nou delimitator întâlnit în fluxul de intrare. Acțiunea implicită este de a condensa mai mulți delimitatori în unul singur, astfel încât celula să se schimbe doar o singură dată pentru fiecare element de date de intrare.

-r  Afișează datele mai întâi pe rând și apoi pe coloană. Pentru datele de intrare constând dintr-o singură coloană, această opțiune va avea ca rezultat ieșirea unui rând cu mai multe coloane în loc de o foaie de calcul cu o singură coloană.

-s celula
    Începe din colțul din stânga sus al foii de calcul în celula. De exemplu, -s B33 va aranja datele de ieșire astfel încât foaia de calcul să înceapă în coloana B, rândul 33.

-R n
    Incrementează cu n la fiecare nou rând de ieșire.

-C n
    Incrementează cu n la fiecare nouă coloană de ieșire.

-n n
    Produce n rânduri înainte de a trece la coloana următoare. Această opțiune se utilizează atunci când datele de intrare sunt aranjate într-o singură coloană, iar foaia de calcul va avea mai multe coloane, fiecare dintre ele având lungimea n..

-d c
    Utilizează un singur caracter c ca delimitator între câmpurile de intrare.

-P  Numai numere simple. Un câmp este un număr numai atunci când nu este încorporat [-+eE].

-S  Toate numerele sunt șiruri.

-v  Afișează versiunea de psc

CONSULTAȚI ȘI
sc(1)

AUTOR
Robert Bond

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.